Get Bge M3 Status
Check the status of the search embedding model.
The embedding model powers hybrid search (combining keyword and semantic matching). The specific model is selected automatically based on your platform for best performance.
Query Parameters
full_verify?boolean
Default
falseforce_refresh?boolean
Default
falseResponse Body
application/json
application/json
curl -X GET "http://127.0.0.1:14242/models/bge-m3/status"{
"exists": true,
"available_for_indexing": false,
"model_name": "search-embedding",
"size_mb": 500,
"message": "string",
"embedding_mode": "local",
"remote_provider": "string",
"remote_model": "string",
"backend": "auto",
"platform": "unknown",
"reindex_needed": false,
"state": "not_installed",
"verified": false,
"integrity_ok": false,
"smoke_test_ok": false,
"singleton_initialized": false,
"last_verified_at": "string",
"error": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}